# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Hook/LexWrap.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Sub/Name.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.009
%define module_name Class-Accessor-Named
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Better profiling output for Class::Accessor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JE/JESSE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the Class::Accessor manpage is a great way to automate the tedious task of generating
accessors and mutators. One small drawback is that due to the details of
the implemenetation, you only get one `__ANON__' entry in profiling output.
That entry contains all your accessors, which can be a real pain if you're attempting to figure out *which* of your accessors is being called six billion times.
This module is a development aid which uses the Hook::LexWrap manpage and the Sub::Name manpage
to talk your accessors into identifying themselves. While it shouldn't add much additional runtime overhead (as it acts only Class::Accessor's generator functions), it has not been designed for production deployment, 



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- initial import by package builder

